com.io7m.jcamera

## Interface JCameraFPSStyleReadableType

- All Superinterfaces:
    JCameraReadableType
  All Known Subinterfaces:
    JCameraFPSStyleType
  All Known Implementing Classes:
    JCameraFPSStyle, JCameraFPSStyleSnapshot

      public interface JCameraFPSStyleReadableType
      extends JCameraReadableType

  Readable interface to `JCameraFPSStyleType`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `cameraGetAngleAroundHorizontal()`
    `float` | `cameraGetAngleAroundVertical()`
    `com.io7m.jtensors.VectorReadable3FType` | `cameraGetForward()`
    `com.io7m.jtensors.VectorReadable3FType` | `cameraGetPosition()`
    `com.io7m.jtensors.VectorReadable3FType` | `cameraGetRight()`
    `com.io7m.jtensors.VectorReadable3FType` | `cameraGetUp()`
    `JCameraFPSStyleSnapshot` | `cameraMakeSnapshot()`

    - ### Methods inherited from interface com.io7m.jcamera.JCameraReadableType

      `cameraMakeViewMatrix, cameraMakeViewPMatrix`

- - ### Method Detail

    - #### cameraGetAngleAroundHorizontal

          float cameraGetAngleAroundHorizontal()

      Returns:
        The angle around the horizontal axis.

    - #### cameraGetAngleAroundVertical

          float cameraGetAngleAroundVertical()

      Returns:
        The angle around the vertical axis.

    - #### cameraGetForward

          com.io7m.jtensors.VectorReadable3FType cameraGetForward()

      Returns:
        The forward direction for the camera.

    - #### cameraGetPosition

          com.io7m.jtensors.VectorReadable3FType cameraGetPosition()

      Returns:
        The position of the camera.

    - #### cameraGetRight

          com.io7m.jtensors.VectorReadable3FType cameraGetRight()

      Returns:
        The right direction for the camera.

    - #### cameraGetUp

          com.io7m.jtensors.VectorReadable3FType cameraGetUp()

      Returns:
        The up direction for the camera.

    - #### cameraMakeSnapshot

          JCameraFPSStyleSnapshot cameraMakeSnapshot()

      Returns:
        A snapshot of the current camera state.

Copyright © 2016 <code@io7m.com> http://io7m.com